// MegaPirate config file. Use APM_Config.h.reference and the wiki to find additional defines to setup your plane.
// Once you upload the code, run the factory "reset" to save all config values to EEPROM.
// After reset, use the setup mode to set your radio limits for CH1-7, and to set your flight modes.

#define GPS_PROTOCOL GPS_PROTOCOL_AUTO    //_NONE, _NMEA, MTK16 Specify GPS type for Memory saving (~5Kb less then AUTO)

#define MAG_ORIENTATION	ROTATION_YAW_270
#define MAG_PROTOCOL MAG_PROTOCOL_5843
#define NAV_TEST 1			  // 0 = traditional, 1 = rate controlled
#define YAW_OPTION 1			  // 0 = hybrid rate approach, 1 = offset Yaw approach (heading hold)
#define AUTO_RESET_LOITER 1 	          // enables Loiter to reset it's current location based on stick input.
#define SIMPLE_LOOK_AT_HOME 0 
#define GROUND_START_DELAY  5	          // give 'n' seconds between battery connection and IMU calibration. Gives time to flip the copter :)

#define FRAME_CONFIG QUAD_FRAME

	/*
	options:
	QUAD_FRAME
	TRI_FRAME
	HEXA_FRAME
	Y6_FRAME
	OCTA_FRAME
	HELI_FRAME
	*/

#define FRAME_ORIENTATION X_FRAME
	/*
	PLUS_FRAME
	X_FRAME
	V_FRAME
	*/


#define CHANNEL_6_TUNING CH6_NONE
	/*
	CH6_NONE
	CH6_STABILIZE_KP
	CH6_STABILIZE_KI
	CH6_RATE_KP
	CH6_RATE_KI
	CH6_THROTTLE_KP
	CH6_THROTTLE_KD
	CH6_YAW_KP
	CH6_YAW_KI
	CH6_YAW_RATE_KP
	CH6_YAW_RATE_KI
	CH6_TOP_BOTTOM_RATIO
	CH6_PMAX
    CH6_RELAY
    CH6_TRAVERSE_SPEED
	*/

# define CH7_OPTION		SIMPLE_MODE_CONTROL
	/*
	DO_SET_HOVER
	DO_FLIP
	SIMPLE_MODE_CONTROL
	*/

// Logging
#define LOGGING_ENABLED DISABLED        // Leave disabled for MegaPirate on FlyDuino, ArduinoMega, Vortex or any other board without FlashData memory
#define CLI_ENABLED ENABLED             // Disable or Enable the Terminal CLI mode, safes a lot of memory if not needed (Copter can be setup without CLI with Planner > 039)

// Serial port override
#define SERIAL0_BAUD	115200		// If one want a wireless modem ( like APC220) on the console port, lower that to 57600. Default is 115200 
#define SERIAL3_BAUD	115200		// default telemetry BPS rate = 57600

// Battery monitor tuning
#define VOLT_DIV_RATIO	3.71		// tuning for the battery monitor voltage divider 3.56 is default value. Calibrated using a voltage diverder with 10K and 3K9
#define INPUT_VOLTAGE	5.1		// the precise voltage from the BEC

// Flightmode mixing override
//#define LOITER_THR  THROTTLE_MANUAL  
# define RTL_YAW      YAW_HOLD
# define RATE_PITCH_IMAX   	7			// degrees
