/*
  Example of APM_ADC library.
  Code by Jordi Muoz and Jose Julio. DIYDrones.com
*/

#include <AP_ADC.h> // ArduPilot Mega ADC Library
#include <AP_Common.h>
#include <AP_RangeFinder.h> // Range finder library
#include <ModeFilter.h>
#include <FastSerial.h>
#include <Wire.h>	    // Arduino I2C lib

unsigned long timer;

AP_ADC_ADS7844 adc;

FastSerialPort0(Serial);        // FTDI/console
FastSerialPort2(Serial2);       // GPS port
FastSerialPort3(Serial3);       // Telemetry port

void setup()
{  
#define SERIAL0_BAUD	115200	

  adc.Init();   // APM ADC initialization
  Serial.println("MegaPirate ADC library test");
  delay(1000);
  timer = millis();

}

void loop()
{
  int ch;
  
  if((millis()- timer) > 20)
    {
    timer = millis();
    for (ch=0;ch<7;ch++)
      {
      Serial.print(adc.Ch_raw(ch));
      Serial.print(",");
      }
    Serial.println();
    }
}
